package com.example.map;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

import androidx.appcompat.app.AppCompatActivity;

public class me extends AppCompatActivity implements View.OnClickListener{

    private TextView tv_alert;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_me);
        //按钮点击后执行下面回调方法
        Button button=findViewById(R.id.map_);//跳转源按钮
        button.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent=new Intent();
                intent.setClass(getApplicationContext(),MainActivity.class);//跳转的目的地
                startActivity(intent);
            }
        });

        //按钮点击后执行下面回调方法
        Button button_;
        //按钮点击后执行下面回调方法
        button_=findViewById(R.id.Myself);
        findViewById(R.id.exit).setOnClickListener(this);

        button_.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent=new Intent();
                intent.setClass(getApplicationContext(),me.class);//跳转的目的地
                startActivity(intent);
            }
        });

        //按钮点击后执行下面回调方法
        button_=findViewById(R.id.exit);
        findViewById(R.id.exit).setOnClickListener(this);

        button_.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent=new Intent();
                intent.setClass(getApplicationContext(),sign_in_front.class);//跳转的目的地
                startActivity(intent);
            }
        });
        
        
    }

    /**
     * Called when a view has been clicked.
     *
     * @param v The view that was clicked.
     */
    @Override
    public void onClick(View v) {

    }
}